function dvar=QmuSetupDesign(md,dvar,variables)

%get descriptor
descriptor=variables.descriptor;

%loop on descriptor
if strcmpi(descriptor,'rho_ice')

	dvar=setuprhoice(md,dvar,variables);

elseif strcmpi(descriptor,'thickness')

	dvar=setupthickness(md,dvar,variables);

elseif strcmpi(descriptor,'drag')

	dvar=setupdrag(md,dvar,variables);

elseif strcmpi(descriptor,'riftsfriction')

	dvar=setupriftsfriction(md,dvar,variables);

else
	error(['QmuSetupDesign warning message: could not find ' descriptor ' setup design function']);
end

end
